/*
 Theme Name:   blocksy-child
 Theme URI:    https://jogg.getbright.nl/
 Description:  Blocksy Child Theme
 Author:       Renzo Klarenbeek
 Author URI:   https://jogg.getbright.nl/
 Template:     blocksy
 Version:      1.0.0
 Tags:         plaats, hier, jouw, tags, gescheiden, door, kommas
 Text Domain:  blocksy-child
*/

/* =Eigen CSS hier beneden plaatsen
-------------------------------------------------------------- */

@font-face {
    font-family: 'HouschkaAlt';
    src: url('fonts/HouschkaAltMedium.woff2') format('woff2'),
        url('fonts/HouschkaAltMedium.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'HouschkaAlt';
    src: url('fonts/HouschkaAltMedium.woff2') format('woff2'),
        url('fonts/HouschkaAltMedium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'HouschkaAlt';
    src: url('fonts/HouschkaAltBlack.woff2') format('woff2'),
        url('fonts/HouschkaAltBlack.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'HouschkaAlt';
    src: url('fonts/HouschkaAltLight.woff2') format('woff2'),
        url('fonts/HouschkaAltLight.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'HouschkaAlt';
    src: url('fonts/HouschkaAltHeavy.woff2') format('woff2'),
        url('fonts/HouschkaAltHeavy.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'HouschkaAlt';
    src: url('fonts/HouschkaAltBold.woff2') format('woff2'),
        url('fonts/HouschkaAltBold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}


nav[class*="menu"] .ct-menu-link, .ct-header-cta [data-size="small"]{
    font-size: 18px;
    font-weight: 400;
    text-transform: none;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 700 !important;
}


.menu-banner {
    align-content: center;
    top: -6vh;
}

.banner-image-content {
    align-content: center;
}

.block-in-banner {
    width: 55%;
}

.video-overlay {
    position: absolute; /* Zorgt ervoor dat het over de video ligt */
    width: 36%;
    align-content: center;
    color: white;
}

.second-content-div {
    width: 60% !important;
}

.video-overlay h1 {
    font-size: 2em;
    margin-bottom: 10px;
}

.video-overlay p {
    font-size: 1em;
    margin-bottom: 20px;
}

.video-overlay a {
    display: inline-block;
    padding: 10px 20px;
    border: 2px solid #ffffff;
    border-radius: 7px;
    background-color: transparent;
    color: white;
    text-decoration: none;
}

.info-box {
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1); /* Zachte schaduw */
    border-radius: 7px;
    background: #fff; 
}

.has-background[style*="background-image"] > .wp-block-columns:first-child{
    position: relative;
    z-index: 8;
}

.has-background[style*="background-image"] a.wp-element-button, a.wp-element-button, .gform_button {
    font-weight: 700 !important;
}

@media (min-width: 1025px) and (max-width: 1480px) {
    .second-content-div {
        width: 70% !important;
        position: relative;
        top: -100px;
        z-index: 2;
    }
}



@media (min-width: 1025px) { 
    .content-block-info {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 44%;
        color: white;
    }

    .text-container-width {
        width: 50% !important;
    }
    
    .text-block {
        width: 28% !important;
    }

    .text-block-wwd {
        width: 75% !important;
    }

    .intro-werknet {
        width: 60% !important;
    }

    .text-block-impact {
        width: 60% !important;
    }
}

@media screen and (min-width: 1240px) {
    .second-content-div {
        position: relative;
        top: -120px;
        z-index: 2;
        width: 100%;
    }
   
    .text-container-width {
        width: 50% !important;
    }
}

@media (max-width: 1240px) {
    .wp-block-column > p {
        /* text-align: center; */
    }
    .wp-block-group > p {
        /* text-align: center; */
    }
}

@media (max-width: 600px) {
    .second-content-div {
        padding: 0px !important;
    }

    .banner-img-text {
        top: 40px !important;
        justify-content: center;
    }

    .info-box{
        /* max-width: 70%; */
    }
}

@media screen and (min-width: 600px) and (max-width: 1024px) {
    .info-box{
        max-width: 80%;    
    }  

    .banner-img-text {
        justify-content: center;
    }

    .second-content-div {
        width: 100% !important;
    }
}
